Page MenuHomePhabricator

Checklists
Closed, ResolvedPublic

Description

Filed upstream: https://secure.phabricator.com/T3945

@connorshea says: As far as I can tell, there's no checklist functionality in Phabricator. There are numbered lists, but that isn't particularly convenient in comparison to the checklist functionality of Trello.

http://help.trello.com/customer/portal/articles/887730-adding-checklists-to-cards

How a manual checklist could look like.

Checklist

Details

Reference
fl190

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:30 AM
flimport set Reference to fl190.

qgil wrote on 2014-04-22 05:38:05 (UTC)

Is this a feature teams are using? How relevant is it? (for proper prioritization)

I guess this implementation is not trivial, especially if you expect these "checklists" and "items" (an element that afaik Phabricator doesn't have) to be shareable across tasks/projects.

Looks like a Wontfix / tradeoff, although we can file it upstream and see what they say.

mattflaschen wrote on 2014-04-23 05:23:11 (UTC)

Yes, we (Growth) use it for mini-tasks. Instead of making a separate task and noting it in the card as a dependency, we simply inline the dependency as a checklist item.

Checklists and items (an item is one of the lines of a checklist) are specifically *not* shareable between cards. If an item is a blocker for multiple cards, it should be its own card.

Interesting side note, Trello does not actually support dependencies. So even if there are cards for the main task and a dependency, a checklist is still a good way of visually indicating it (Trello also has a feature where if you put a Trello card URL, it is nicely formatted automatically, similar to Phabricator linking based on T=code, so you can just put a Trello URL as a checklist item)

Bottom line, it is a nice to have, but there is no clear rule for when it should be a checklist vs. a dependency, and we can get along without it.

qgil wrote on 2014-04-23 06:24:49 (UTC)

Thank you for the feedback. I will move it to the right column of the board, then.

Interestingly, I think I have found a little bug thanks to the checklist test in the description.

Filed upstream: https://secure.phabricator.com/T4870

qgil wrote on 2014-04-23 15:21:14 (UTC)

Interesting, we might even get checklist syntax in Phabricator one day: T3945: Support Task List syntax in remarkup

See also T405: PhutilRemarkupRule for querying ApplicationSearch

qgil wrote on 2014-05-02 01:12:42 (UTC)

This task has been resolved upstream, taking only the rendering of the checkbox in read-only. They say that implementing read-write checklists is a very different story that takes a lot more effort. For us, it means an extra click to edit the task or the comment with the checklist.

See https://secure.phabricator.com/T3945. Screenshots available in the two related commits.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:30 AM
flimport assigned this task to Qgil.Oct 2 2014, 9:46 PM
flimport added a subscriber: Qgil.

Checklists are used EXTENSIVELY, this will be a high priority feature for many teams switching from Trello

Do we need to create a separate read/write/rearrange/promote requirement for check lists functionality that mimics that of Trello?

Qgil added a comment.Nov 6 2014, 11:47 PM

Do we need to create a separate read/write/rearrange/promote requirement for check lists functionality that mimics that of Trello?

See T1141: Add Acceptance Criteria/Checklist feature to Phabricator tasks

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM